<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SESim: DoxygenMatlab/code_snippets/Current_met.m File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SESim
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_0e13bb94c47f22097ab6d9024c03cb28.html">DoxygenMatlab</a></li><li class="navelem"><a class="el" href="dir_240945e42dcf6c431e8d969a4e6778af.html">code_snippets</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">Current_met.m File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a445f33d87e8aca91c27220cd4d8e16da"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_current__met_8m.html#a445f33d87e8aca91c27220cd4d8e16da">get_initial_state</a> (in obj)</td></tr>
<tr class="separator:a445f33d87e8aca91c27220cd4d8e16da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6108ff447601d4c6a683b8f3c8e29ed5"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_current__met_8m.html#a6108ff447601d4c6a683b8f3c8e29ed5">fun_derivatives</a> (in obj, in t, in x, in u)</td></tr>
<tr class="separator:a6108ff447601d4c6a683b8f3c8e29ed5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ed784a2d550a43a37b4d32e62ad09d1"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_current__met_8m.html#a2ed784a2d550a43a37b4d32e62ad09d1">fun_update</a> (in obj, in t, in x, in u)</td></tr>
<tr class="separator:a2ed784a2d550a43a37b4d32e62ad09d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a195100623fa9887b2e36539bc37c655e"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_current__met_8m.html#a195100623fa9887b2e36539bc37c655e">fun_outputs</a> (in obj, in t, in x, in u)</td></tr>
<tr class="separator:a195100623fa9887b2e36539bc37c655e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a6108ff447601d4c6a683b8f3c8e29ed5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6108ff447601d4c6a683b8f3c8e29ed5">&#9670;&nbsp;</a></span>fun_derivatives()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function fun_derivatives </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>u</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a195100623fa9887b2e36539bc37c655e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a195100623fa9887b2e36539bc37c655e">&#9670;&nbsp;</a></span>fun_outputs()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function fun_outputs </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>u</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a2ed784a2d550a43a37b4d32e62ad09d1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ed784a2d550a43a37b4d32e62ad09d1">&#9670;&nbsp;</a></span>fun_update()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function fun_update </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>u</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a445f33d87e8aca91c27220cd4d8e16da"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a445f33d87e8aca91c27220cd4d8e16da">&#9670;&nbsp;</a></span>get_initial_state()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function get_initial_state </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
